/*
 * @FilePath: \daping\src\http\environment\index.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-07 11:11:30
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
export function getPowerData(){
    return new Promise((resolve:any,reject:any)=>{
        let result={
            title:'用电量kW.h',
            data:{
                "listData": [{
                    "years": "2022",
                    "month":{
                        "1": [506,503,636,745,874,434,522,536,643,753,425],
                        "2": [1315,423,412,436,777,666,567,456,537,553,643],
                        "3": [467,456,764,834,753,742,557,835,722,745,540],
                        "4": [943,256,467,356,342,524,642,621,435,864,504],
                        "5": [874,434,522,753,742,557,467,456,764,943,256],
                        "6": [456,764,943,256,943,256,467,524,642,621,567],
                        "7": [467,456,764,943,256,356,764,943,256,943,256],
                        "8": [764,834,753,742,557,835,456,764,943,256,557],
                    },
                    "sum":[5792]
                },{
                    "years": "2023",
                     "month":{
                        "1": [256,467,524,434,522,753,742,256,356,943,256],
                        "2": [764,943,256,467,456,764,356,342,524,423,412],
                        "3": [943,256,557,722,745,540,522,753,742,557,456]
                    },
                    "sum":[1963]
                }],
                "name": [ "东气泵房", "大件车间","家纺军团","服装军团","机加军团","汽车军团","焊接车间","电控车间","精加车间","精饰车间","西气泵房"]
            },
            code: 200,
            msg: "操作成功"
        }
        resolve(result)
    })
}


export function getHumitureData(){
    return new Promise((resolve:any,reject:any)=>{
        let result={
            data:{
                "Humiture": [
                    {
                        "temp": 20,
                        "humidity": 55,
                        "name": "服装军团"
                    },
                    {
                        "temp": 12,
                        "humidity": 43,
                        "name": "家纺军团"
                    },
                    {
                        "temp": 32,
                        "humidity": 56,
                        "name": "东气泵房"
                    },
                    {
                        "temp": 22,
                        "humidity": 43,
                        "name": "西气泵房"
                    },
                    {
                        "temp": 25,
                        "humidity": 54,
                        "name": "大件车间"
                    },
                    {
                        "temp": 15,
                        "humidity": 46,
                        "name": "机加军团"
                    },
                    {
                        "temp": 1,
                        "humidity": 55,
                        "name": "汽车军团"
                    },
                    {
                        "temp": 4,
                        "humidity": 24,
                        "name": "焊接车间"
                    },
                    {
                        "temp": 13,
                        "humidity": 38,
                        "name": "电控车间"
                    }
                    ,
                    {
                        "temp": 31,
                        "humidity": 37,
                        "name": "精饰车间"
                    }
                ],
                "bottom": {
                    "temp": -15,
                    "humidity": 15,
                    "name": "温湿度下限值"
                },
                "top": {
                    "temp": 45,
                    "humidity": 75,
                    "name": "温湿度上限值"
                }
            },
            code: 200,
            msg: "操作成功"
        }
        resolve(result)
    })
}


export function getPressureData(){
    return new Promise((resolve:any,reject:any)=>{
        let result={
            data:{
                "east": 56,
                "west": 56
            },
            code: 200,
            msg: "操作成功"
        }
        resolve(result)
    })
}


export function getPmtwoData(){
    return new Promise((resolve:any,reject:any)=>{
        let result={
            data:[
                {
                   name:"ornaments",
                   value:56 
                },
                {
                    name:"stuff",
                    value:56 
                 },
                 {
                    name:"stuff",
                    value:56 
                 },

            ],
            code: 200,
            msg: "操作成功"
        }
        resolve(result)
    })
}

export function getPmtenData(){
    return new Promise((resolve:any,reject:any)=>{
        let result={
            data:[
                {
                   name:"ornaments",
                   value:56 
                },
                {
                    name:"stuff",
                    value:56 
                 },
                 {
                    name:"stuff",
                    value:56 
                 },

            ],
            code: 200,
            msg: "操作成功"
        }
        resolve(result)
    })
}
export function getnoiseData(){
    return new Promise((resolve:any,reject:any)=>{
        let result={
            data:[
                {
                    "name": "服装军团",
                    "value": 69.00
                },
                {
                    "name": "家纺军团",
                    "value": 69.00
                },
                {
                    "name": "汽车军团",
                    "value": 69.00
                },
                {
                    "name": "电控",
                    "value": 69.00
                },
                {
                    "name": "精饰车间",
                    "value": 69.00
                },
                {
                    "name": "精加车间",
                    "value": 69.00
                },
                {
                    "name": "焊接车间",
                    "value": 69.00
                },
                {
                    "name": "大件车间",
                    "value": 69.00
                },
                {
                    "name": "机加车间",
                    "value": 69.00
                },
                {
                    "name": "焊接中心",
                    "value": 69.00
                }
            ],
            code: 200,
            msg: "操作成功"
        }
        resolve(result)
    })
}
export function getpipeData(){
    return new Promise((resolve:any,reject:any)=>{
        let result={
            data:{
                "data": [
                    {
                        "name": "大件",
                        "value": 1
                    },
                    {
                        "name": "焊接",
                        "value": 1.1
                    },
                    {
                        "name": "精饰",
                        "value": 0.8
                    }
                ],
                "top": {
                    "name": "上限压力：1.2mpa",
                    "value": 1.2
                }
            },
            code: 200,
            msg: "操作成功"
        }
        resolve(result)
    })
}
export function getSafeWarningData(){
    return new Promise((resolve:any,reject:any)=>{
        let result={
            data:{
                "boilerGas": {
                    "limit": 0,
                    "value": 0
                },
                "canteenGas": {
                    "limit": 0,
                    "value": 0
                },
                "finishAir": {
                    "limit": 1,
                    "value": 0.132
                },
                "finishArofene": {
                    "limit": 1,
                    "value": 0.132
                },
                "flame": {
                    "limit": 0,
                    "value": 0
                },
                "paintingGas": {
                    "limit": 0,
                    "value": 1
                },
                "tvoc": {
                    "limit": 0,
                    "value": 1
                }
            },
            code: 200,
            msg: "操作成功"
        }
        resolve(result)
    })
}





  