/*
 * @FilePath: \wwwd:\code\screenFront\src\store\module\energyConsume.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-06 15:58:13
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { defineStore } from "pinia";
import {Names} from '@/store/storeName'
export const useEnergyConsumeStore = defineStore(Names.energyConsume,{
    // 使用方式
    // const Index= useIndexStore()
    // 1、Index.{数据}++
    // 2、Index.$patch({数据:??})
    // 3、Index.$patch((state)=>{ state.数据=??})
    // 4、通过action修改
    state:()=>{
        return{
            nowYearWater:null,
            nowYearGas:null,
            powerRatio:null,
            powerProduct:null
        }
    },
    //computed 修改一些值
    //需要使用return将数据抛出
    //getters内可相互使用计算结果
    //使用时可直接放入标签内<div>Index.方法()</div>
    getters:{

    },
    //methods 可同步/异步，提交state
    //actions内获取state数据使用this
    // 使用方式
    // 1、Index.方法()
    //异步方法需要添加async和await
    actions:{
        setwaterGas(val:any){
            this.nowYearWater=[]
            this.nowYearGas=[]
            val.forEach(res=>{
                if(res.type=='GasDetail'){
                    this.nowYearGas.push(res)
                }
                if(res.type=='WaterDetail'){
                    this.nowYearWater.push(res)
                }
            })
        },
        setRatio(val:any){
            this.powerRatio=val
            
        },
        setProduct(val:any){
            this.powerProduct=val
        }
    }
})