/*
 * @FilePath: \daping\src\type\InPlantProducts\index.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-16 15:21:06
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { ECOption } from "@/utils/echarts.d";
export interface EDataPerson {
    installTable?:EDataPersonItem,
}
export  interface EDataPersonItem {
  div: HTMLElement|null,
  data?:object|null|ECOption,
  title:string,
  box?:any
}
export interface gatewayType{
  data?:number|null,
  num?:number|null,
  iconname?:string
}

export interface devListType{
  header?:string[]|null,  //表头数据
  data?:any //数据
  rowNum?:number, //表行数
  headerBGC?:string,//表头背景色
  oddRowBGC?:string,//奇数行背景色
  evenRowBGC?:string,//偶数行背景色
  waitTime?:number,//	轮播时间间隔(ms)
  headerHeight?:number,//表头高度
  columnWidth?:number[],//列宽度
  align?:string[],//列对齐方式
  index?:boolean,//显示行号
  indexHeader?:string,//行号表头
  carousel?:string,//轮播方式
  hoverPause?:boolean,//悬浮暂停轮播
  wrap?:boolean[],//文字是否换行
}